org.eclipse.actf.visualization.engines.blind.html.util

## Class VisualizeReportUtil

- java.lang.Object
- - org.eclipse.actf.visualization.engines.blind.html.util.VisualizeReportUtil

    public class VisualizeReportUtil
    extends Object

Utility class for visualization report

### Constructor Summary

Constructors
Constructor and Description
`VisualizeReportUtil()`

### Method Summary

Methods
`static void` `appendRatingTableAndTitle(PageEvaluation pageEval, String imageDir, Document document, Node target)` Append rating table and title into report HTML
`static void` `createReport(File targetFile, PageEvaluation pageEval)` Create overall evaluation result HTML
`static void` `visualizeError(Document resultDoc, IProblemItem problem)` Visualize `IProblemItem` into visualization result HTML by using exclamation icon with error message as alt text.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisualizeReportUtil

    public VisualizeReportUtil()

### Method Detail

#### createReport

    public static void createReport(File targetFile,
                    PageEvaluation pageEval)

Create overall evaluation result HTML

Parameters:
  `targetFile` - target file to save evaluation result HTML
  `pageEval` - target evaluation result

#### appendRatingTableAndTitle

    public static void appendRatingTableAndTitle(PageEvaluation pageEval,
                                 String imageDir,
                                 Document document,
                                 Node target)

Append rating table and title into report HTML

Parameters:
  `pageEval` - target evaluation result
  `imageDir` - image directory
  `document` - report HTML `Document`
  `target` - target Node to append evaluation result

#### visualizeError

    public static void visualizeError(Document resultDoc,
                      IProblemItem problem)

Visualize `IProblemItem` into visualization result HTML by using exclamation icon with error message as alt text.

Parameters:
  `resultDoc` - visualization result HTML to add error icons
  `problem` - target problem information